[script]
n0=;////////////////////////////////////////////////////////////////////////////////////////////////////////////
n1=;/////////////////////////////////////////////ChanServ/////////////////////////////////////////////
n2=;////////////////////////////////////////////////////////////////////////////////////////////////////////////
n3=
n4=alias CServ {
n5=  if $dialog(CServ) = $null { dialog -m CServ CServ }
n6=}
n7=dialog CServ {
n8=  title "ChanServ [F6]"
n9=  size -1 -1 282 174
n10=  option pixels, notheme
n11=
n12=  tab "Главное", 4, 10 56 260 112
n13=  tab "Установки", 5
n14=  tab "Дополнительно", 6
n15=  box "Настройки и комманды", 27, 0 40 280 132,  group
n16=  box "ChanServ", 26, 0 0 280 40,  group
n17=  text "Канал для комманд:", 1, 10 20 115 14,
n18=  edit "#", 2, 120 16 155 20,  limit 99 autohs
n19=  button "Регистрация", 7, 13 84 125 17,  flat tab 4
n20=  button "Информация", 10, 13 104 125 17,  flat tab 4
n21=  button "Убить канал", 8, 13 124 125 17,  flat tab 4
n22=  button "Инфа по ChanServ", 9, 13 144 253 17,  flat
n23=  button "Идентефицироваться", 11, 141 84 125 17,  flat tab 4
n24=  button "Прописать", 12, 141 104 125 17,  flat tab 4
n25=  button "Список доступа", 13, 141 124 125 17,  flat tab 4
n26=  button "www сайт", 14, 13 84 125 17,  flat tab 5
n27=  button "e-m@il", 15, 141 84 125 17,  flat tab 5
n28=  button "Сообщение при входе", 17, 13 104 125 17,  flat tab 5
n29=  button "Описание", 18, 141 104 125 17,  flat tab 5
n30=  button "Оставлять опы", 16, 13 124 125 17,  flat tab 5
n31=  button "Блок топика", 19, 141 124 125 17,  flat tab 5
n32=  button "Modes lock", 20, 13 84 125 17,  flat tab 6
n33=  button "Приватный", 21, 13 104 125 17,  flat tab 6
n34=  button "Secure", 22, 141 84 125 17,  flat tab 6
n35=  button "Keep Topic", 23, 141 104 125 17,  flat tab 6
n36=  button "Opnotice", 24, 13 124 125 17,  flat tab 6
n37=  button "Restricted", 25, 141 124 125 17,  flat tab 6
n38=}
n39=
n40=;=============================
n41=on 1:dialog:CServ:init:*:{
n42=  ;  if %cserv.chan != $null { set %cserv.chan $did(2).text }
n43=  if %cserv.chan != $null { did -o CServ 2 1 %cserv.chan }
n44=
n45=}
n46=
n47=;=============================
n48=on 1:dialog:CServ:active:*:{
n49=  if ($did == 2) {
n50=    set %cserv.chan $did(2).text
n51=  }
n52=
n53=}
n54=
n55=;=============================
n56=on 1:dialog:CServ:sclick:*:{
n57=  if ($did == 7) {
n58=    set %cserv.chan $did(2).text
n59=    /msg chanserv@*.RusNet register %cserv.chan $$?="Введите ваш пароль:" $$?="И описание канала:"
n60=  }
n61=
n62=  if ($did == 10) {
n63=    set %cserv.chan $did(2).text
n64=    /msg chanserv@*.RusNet info %cserv.chan
n65=  }
n66=
n67=  if ($did == 8) {
n68=    set %cserv.chan $did(2).text
n69=    /msg chanserv@*.RusNet drop %cserv.chan
n70=  }
n71=
n72=  if ($did == 9) {
n73=    /msg chanserv@*.RusNet help
n74=  }
n75=
n76=  if ($did == 11) {
n77=    set %cserv.chan $did(2).text
n78=    /msg chanserv@*.RusNet identify %cserv.chan $$?="Введите ваш пароль:"
n79=  }
n80=
n81=  if ($did == 12) {
n82=    set %cserv.chan $did(2).text
n83=    propiska
n84=  }
n85=
n86=  if ($did == 13) {
n87=    set %cserv.chan $did(2).text
n88=    /msg chanserv@*.RusNet access %cserv.chan list
n89=  }
n90=
n91=  if ($did == 14) {
n92=    set %cserv.chan $did(2).text
n93=    /msg chanserv@*.RusNet SET %cserv.chan url $$?="Введите www сайт:"
n94=  }
n95=
n96=  if ($did == 15) {
n97=    set %cserv.chan $did(2).text
n98=    /msg chanserv@*.RusNet SET %cserv.chan EMAIL $$?="Введите адресс электронной почты:"
n99=  }
n100=
n101=  if ($did == 17) {
n102=    set %cserv.chan $did(2).text
n103=    /msg chanserv@*.RusNet SET %cserv.chan entrymsg $$?="Введите сообшение которое будет появляться при входе на канал:"
n104=  }
n105=
n106=  if ($did == 18) {
n107=    set %cserv.chan $did(2).text
n108=    /msg chanserv@*.RusNet SET %cserv.chan desc $$?="Введите описание канала:"
n109=  }
n110=
n111=  if ($did == 16) {
n112=    set %cserv.chan $did(2).text
n113=    lops
n114=  }
n115=
n116=  if ($did == 19) {
n117=    set %cserv.chan $did(2).text
n118=    tlock
n119=  }
n120=
n121=  if ($did == 20) {
n122=    set %cserv.chan $did(2).text
n123=    /msg chanserv@*.RusNet SET %cserv.chan mlock $$?="Введите моды которые включить по дефолту. Например: +nt"
n124=  }
n125=
n126=  if ($did == 21) {
n127=    set %cserv.chan $did(2).text
n128=    private
n129=  }
n130=
n131=  if ($did == 22) {
n132=    set %cserv.chan $did(2).text
n133=    secure
n134=  }
n135=
n136=  if ($did == 23) {
n137=    set %cserv.chan $did(2).text
n138=    keeptopic
n139=  }
n140=
n141=  if ($did == 24) {
n142=    set %cserv.chan $did(2).text
n143=    opnotice
n144=  }
n145=
n146=  if ($did == 25) {
n147=    set %cserv.chan $did(2).text
n148=    restricted
n149=  }
n150=}
n151=
n152=;/////////////////////////////////////////////Propiska/////////////////////////////////////////////
n153=alias propiska {
n154=  if $dialog(propiska) = $null { dialog -ma propiska propiska }
n155=}
n156=dialog propiska {
n157=  title "Прописка на канал"
n158=  size 430 280 248 80
n159=
n160=  box "Прописка на канал", 1, 5 2 238 75
n161=
n162=  text "Ник", 2, 20 25 80 16
n163=  edit "Ник", 3, 65 23 120 20, autohs center
n164=
n165=  text "Уровень", 4, 20 55 80 16
n166=  edit "Уровень", 5, 65 53 120 20, autohs center
n167=
n168=  button ок,100,193 25 45 17, ok
n169=  button закрыть,101,193 55 45 17, ok
n170=}
n171=
n172=on *:dialog:propiska:init:*: {
n173=  if %aop.nick != $null { did -o propiska 3 1 %aop.nick }
n174=  if %aop.level != $null { did -o propiska 5 1 %aop.level }
n175=}
n176=
n177=on *:dialog:propiska:sclick:100: {
n178=/set %aop.nick $did(propiska,3) | /set %aop.level $did(propiska,5) | /msg chanserv@*.RusNet access %cserv.chan add %aop.nick %aop.level | /halt }
n179=
n180=;/////////////////////////////////////////////Lops/////////////////////////////////////////////
n181=alias lops {
n182=  if $dialog(leaveops) = $null { dialog -ma leaveops leaveops }
n183=}
n184=
n185=dialog leaveops {
n186=  icon rg.ico, 0
n187=  title "Leaveops"
n188=  size 450 300 160 65
n189=
n190=  box "Оставлять опы", 1, 5 2 150 60
n191=  button Включить, 2, 10 18 140 20, 
n192=  button Выключить, 3,10 40 141 17,
n193=
n194=}
n195=
n196=on *:dialog:leaveops:sclick:2: {
n197=  /msg chanserv@*.RusNet SET %cserv.chan leaveops on
n198=}
n199=
n200=on *:dialog:leaveops:sclick:3: {
n201=  /msg chanserv@*.RusNet SET %cserv.chan leaveops off
n202=}
n203=
n204=;/////////////////////////////////////////////Tlock/////////////////////////////////////////////
n205=alias tlock {
n206=  if $dialog(topiclock) = $null { dialog -ma topiclock topiclock }
n207=}
n208=
n209=dialog topiclock {
n210=  icon rg.ico, 0
n211=  title "Topiclock"
n212=  size 450 300 160 65
n213=
n214=  box "Блокировать топик", 1, 5 2 150 60
n215=  button Включить, 2, 10 18 140 20, 
n216=  button Выключить, 3,10 40 141 17, 
n217=
n218=}
n219=
n220=on *:dialog:topiclock:sclick:2: {
n221=  /msg chanserv@*.RusNet SET %cserv.chan topiclock on
n222=}
n223=
n224=on *:dialog:topiclock:sclick:3: {
n225=  /msg chanserv@*.RusNet SET %cserv.chan topiclock off
n226=}
n227=
n228=;/////////////////////////////////////////////Secure/////////////////////////////////////////////
n229=alias secure {
n230=  if $dialog(secure) = $null { dialog -ma secure secure }
n231=}
n232=
n233=dialog secure {
n234=  icon rg.ico, 0
n235=  title "Secure"
n236=  size 450 300 160 65
n237=
n238=  box "Secure", 1, 5 2 150 60
n239=  button Включить, 2, 10 18 140 20, 
n240=  button Выключить, 3,10 40 141 17, 
n241=
n242=}
n243=
n244=on *:dialog:secure:sclick:2: {
n245=  /msg chanserv@*.RusNet SET %cserv.chan secure on
n246=}
n247=
n248=on *:dialog:secure:sclick:3: {
n249=  /msg chanserv@*.RusNet SET %cserv.chan secure off
n250=}
n251=
n252=;/////////////////////////////////////////////Private/////////////////////////////////////////////
n253=alias private {
n254=  if $dialog(private) = $null { dialog -ma private private }
n255=}
n256=
n257=dialog private {
n258=  icon rg.ico, 0
n259=  title "Private"
n260=  size 450 300 160 65
n261=
n262=  box "Приватный", 1, 5 2 150 60
n263=  button Включить, 2, 10 18 140 20, 
n264=  button Выключить, 3,10 40 141 17, 
n265=
n266=}
n267=
n268=on *:dialog:private:sclick:2: {
n269=  /msg chanserv@*.RusNet SET %cserv.chan private on 
n270=}
n271=
n272=on *:dialog:private:sclick:3: {
n273=  /msg chanserv@*.RusNet SET %cserv.chan private off 
n274=}
n275=
n276=;/////////////////////////////////////////////Keeptopic/////////////////////////////////////////////
n277=alias keeptopic {
n278=  if $dialog(keeptopic) = $null { dialog -ma keeptopic keeptopic }
n279=}
n280=dialog keeptopic {
n281=  icon rg.ico, 0
n282=  title "Keeptopic"
n283=  size 450 300 160 65
n284=
n285=  box "Keeptopic", 1, 5 2 150 60
n286=  button Включить, 2, 10 18 140 20, 
n287=  button Выключить, 3,10 40 141 17, 
n288=}
n289=
n290=on *:dialog:keeptopic:sclick:2: {
n291=  /msg chanserv@*.RusNet SET %cserv.chan keeptopic on
n292=}
n293=
n294=on *:dialog:keeptopic:sclick:3: {
n295=  /msg chanserv@*.RusNet SET %cserv.chan keeptopic off
n296=}
n297=
n298=;/////////////////////////////////////////////Opnotice/////////////////////////////////////////////
n299=alias opnotice {
n300=  if $dialog(opnotice) = $null { dialog -ma opnotice opnotice }
n301=}
n302=
n303=dialog opnotice {
n304=  icon rg.ico, 0
n305=  title "Opnotice"
n306=  size 450 300 160 65
n307=
n308=  box "Opnotice", 1, 5 2 150 60
n309=  button Включить, 2, 10 18 140 20, ok
n310=  button Выключить, 3,10 40 141 17, ok
n311=
n312=  button REQUIRED, 1000,200 200 141 17, ok
n313=}
n314=
n315=on *:dialog:opnotice:sclick:2: {
n316=  /msg chanserv@*.RusNet SET %cserv.chan opnotice on
n317=}
n318=
n319=on *:dialog:opnotice:sclick:3: {
n320=  /msg chanserv@*.RusNet SET %cserv.chan opnotice off
n321=}
n322=;/////////////////////////////////////////////Restricted/////////////////////////////////////////////
n323=alias restricted {
n324=  if $dialog(restricted) = $null { dialog -ma restricted restricted }
n325=}
n326=
n327=dialog restricted {
n328=  title "Restricted"
n329=  size 450 300 160 65
n330=
n331=  box "Restricted", 1, 5 2 150 60
n332=  button Включить, 2, 10 18 140 20, ok
n333=  button Выключить, 3,10 40 141 17, ok
n334=
n335=  button REQUIRED, 1000,200 200 141 17, ok
n336=}
n337=
n338=on *:dialog:restricted:sclick:2: {
n339=  /msg chanserv@*.RusNet SET %cserv.chan restricted on
n340=}
n341=
n342=on *:dialog:restricted:sclick:3: {
n343=  /msg chanserv@*.RusNet SET %cserv.chan restricted off
n344=}
n345=
n346=;//////////////////////////////////////////////////////////////////////////////////////////////////////////
n347=;/////////////////////////////////////////////NickServ/////////////////////////////////////////////
n348=;//////////////////////////////////////////////////////////////////////////////////////////////////////////
n349=alias NServ {
n350=  if $dialog(NServ) = $null { dialog -m NServ NServ }
n351=}
n352=dialog NServ {
n353=  title "NickServ [F7]"
n354=  size -1 -1 282 134
n355=  option pixels, notheme
n356=
n357=  tab "Главное", 4, 10 16 260 112
n358=  tab "Установки", 5
n359=  tab "Дополнительно", 6
n360=  box "Настройки и комманды", 27, 0 0 280 132,  group
n361=  button "Регистрация", 7, 13 44 125 17,  flat tab 4
n362=  button "Линковать", 8, 13 84 125 17,  flat tab 4
n363=  button "Инфа по NickServ", 9, 13 104 253 17,  flat
n364=  button "Идентефицироваться", 11, 141 44 125 17,  flat tab 4
n365=  button "Разрегиться", 12, 141 64 125 17,  flat tab 4
n366=  button "Отлинковать", 13, 141 84 125 17,  flat tab 4
n367=  button "Пароль", 14, 13 44 125 17,  flat tab 5
n368=  button "e-m@il", 15, 141 44 125 17,  flat tab 5
n369=  button "Сайт", 17, 13 64 125 17,  flat tab 5
n370=  button "Информация", 18, 141 64 125 17,  flat tab 5
n371=  button "Защита", 16, 13 84 125 17,  flat tab 5
n372=  button "Помощь", 19, 141 84 125 17,  flat tab 5
n373=  button "Список линков", 20, 13 44 125 17,  flat tab 6
n374=  button "Recover", 21, 13 64 125 17,  flat tab 6
n375=  button "Список каналов", 22, 141 44 125 17,  flat tab 6
n376=  button "Release", 23, 141 64 125 17,  flat tab 6
n377=  button "Информация", 1, 13 64 125 17,  flat tab 4
n378=}
n379=
n380=;=============================
n381=on 1:dialog:NServ:sclick:*:{
n382=  if ($did == 7) {
n383=    msg nickserv@*.RusNet register $$?="Введите ваш пароль на ник $me :" $$?="И ваш e-m@il адресс:"
n384=  }
n385=
n386=  if ($did == 8) {
n387=    msg nickserv@*.RusNet link $$?="Введите ник который вы хотите прилинковать к этому нику:"
n388=  }
n389=
n390=  if ($did == 9) {
n391=    msg nickserv@*.RusNet help
n392=  }
n393=
n394=  if ($did == 11) {
n395=    msg nickserv@*.RusNet identify $$?="Введите ваш пароль на ник $me :"
n396=  }
n397=
n398=  if ($did == 12) {
n399=    msg nickserv@*.RusNet drop $$?="Введите пароль на ник $me :"
n400=  }
n401=
n402=  if ($did == 13) {
n403=    msg nickserv@*.RusNet unlink $$?="Введите ник который вы хотите отлинковать от этого ника:"
n404=  }
n405=
n406=  if ($did == 14) {
n407=    msg nickserv@*.RusNet set password $$?="Введите ваш новый пароль на ник $me :"
n408=  }
n409=
n410=  if ($did == 15) {
n411=    msg nickserv@*.RusNet set email $$?="Введите ваш новый e-mail адресс:"
n412=  }
n413=
n414=  if ($did == 17) {
n415=    msg nickserv@*.RusNet set url $$?="Введите ваш новый адресс сайта:"
n416=  }
n417=
n418=  if ($did == 18) {
n419=    nickserv@*.RusNet set info $$?="Введите строку которую хотите поместить в описание о себе"
n420=  }
n421=
n422=  if ($did == 16) {
n423=    nSecure
n424=  }
n425=
n426=  if ($did == 19) {
n427=    msg nickserv@*.RusNet help set
n428=  }
n429=
n430=  if ($did == 20) {
n431=    msg nickserv@*.RusNet listlinks
n432=  }
n433=
n434=  if ($did == 21) {
n435=    msg nickserv@*.RusNet recover $$?="Введите ник который хотите забрать:" $$?="... и пароль от этого ника:"
n436=  }
n437=
n438=  if ($did == 22) {
n439=    msg nickserv@*.RusNet listchans
n440=  }
n441=
n442=  if ($did == 23) {
n443=    msg nickserv@*.RusNet release $$?="Введите ник который хотите отпустить:" $$?="... и пароль от этого ника:"
n444=  }
n445=
n446=  if ($did == 1) {
n447=    msg nickserv@*.RusNet info $$?="Введите ник по которому вы желаете получить информацию:"
n448=  }
n449=}
n450=
n451=;/////////////////////////////////////////////nSecure/////////////////////////////////////////////
n452=alias nSecure {
n453=  if $dialog(nSecure) = $null { dialog -ma nSecure nSecure }
n454=}
n455=
n456=dialog nSecure {
n457=  icon rg.ico, 0
n458=  title "Secure"
n459=  size 450 300 160 65
n460=
n461=  box "Зашита", 1, 5 2 150 60
n462=  button Включить, 2, 10 18 140 20, 
n463=  button Выключить, 3,10 40 141 17, 
n464=}
n465=
n466=on *:dialog:nSecure:sclick:2: {
n467=  /msg nickserv@*.RusNet set secure on
n468=}
n469=
n470=on *:dialog:nSecure:sclick:3: {
n471=  /msg nickserv@*.RusNet set secure off
n472=}
n473=
n474=;/////////////////////////////////////////////////////////////////////////////////////////////////////////////
n475=;/////////////////////////////////////////////MemoServ/////////////////////////////////////////////
n476=;/////////////////////////////////////////////////////////////////////////////////////////////////////////////
n477=alias MServ {
n478=  if $dialog(MServ) = $null { dialog -m MServ MServ }
n479=}
n480=dialog MServ {
n481=  title "MemoServ [F8]"
n482=  size -1 -1 282 134
n483=  option pixels, notheme
n484=
n485=  tab "Главное", 4, 10 16 260 112
n486=  tab "Установки", 5
n487=  box "Настройки и комманды", 27, 0 0 280 132,  group
n488=  button "Отослать", 7, 13 44 125 17,  flat tab 4
n489=  button "Удалить ?", 8, 13 84 125 17,  flat tab 4
n490=  button "Инфа по MemoServ", 9, 13 104 253 17,  flat
n491=  button "Список мемо", 11, 141 44 125 17,  flat tab 4
n492=  button "Читать последнюю", 12, 141 64 125 17,  flat tab 4
n493=  button "Удалить все", 13, 141 84 125 17,  flat tab 4
n494=  button "Информация", 14, 13 44 125 17,  flat tab 5
n495=  button "Макс. сообщений", 15, 141 44 125 17,  flat tab 5
n496=  button "Игнорировать", 17, 13 64 125 17,  flat tab 5
n497=  button "Снять игнор", 18, 141 64 125 17,  flat tab 5
n498=  button "Список игноров", 16, 13 84 125 17,  flat tab 5
n499=  button "Прочесть ?", 1, 13 64 125 17,  flat tab 4
n500=}
n501=
n502=;=============================
n503=on 1:dialog:MServ:sclick:*:{
n504=  if ($did == 7) {
n505=    memosender
n506=  }
n507=
n508=  if ($did == 8) {
n509=    /msg memoserv del $$?="Введите номер сообшения которое вы хотите удалить:"
n510=  }
n511=
n512=  if ($did == 9) {
n513=    /msg memoserv help
n514=  }
n515=
n516=  if ($did == 11) {
n517=    /msg memoserv list
n518=  }
n519=
n520=  if ($did == 12) {
n521=    /msg memoserv read last
n522=  }
n523=
n524=  if ($did == 13) {
n525=    /msg memoserv del all
n526=  }
n527=
n528=  if ($did == 14) {
n529=    /msg memoserv info
n530=  }
n531=
n532=  if ($did == 15) {
n533=    /msg memoserv set limit $$?="Введите количество максимальных сообшений которые возможно к вам прислать. 0 - выключить, 20 - макс.:"
n534=  }
n535=
n536=  if ($did == 17) {
n537=    /msg memoserv ignore add $$?="Введите ник или максу который(ую) вы хотите игнорировать от получения сообшений:"
n538=  }
n539=
n540=  if ($did == 18) {
n541=    /msg memoserv ignore del $$?="Введите ник или максу который(ую) вы хотите перестать игнорировать от получения сообшений:"
n542=  }
n543=
n544=  if ($did == 16) {
n545=    /msg memoserv ignore list
n546=  }
n547=
n548=  if ($did == 1) {
n549=    /msg memoserv read $$?="Введите номер сообшения которое вы хотите прочитать:"
n550=  }
n551=}
n552=
n553=;/////////////////////////////////////////////MemoSender/////////////////////////////////////////////
n554=alias memosender {
n555=  if $dialog(memosender) = $null { dialog -ma memosender memosender }
n556=}
n557=
n558=dialog memosender {
n559=  title "Отправка memo"
n560=  size 410 280 256 99
n561=
n562=  box "", 1, 4 -2 250 98
n563=  text "Имя получателя:", 2, 10 12 87 15
n564=  edit "", 3, 100 10 150 20
n565=  text "Сообшение:", 4, 10 30 87 15
n566=  edit "", 5, 8 47 242 20, autohs left
n567=  button "Отправить", 100, 10 71 110 20
n568=  button "Закрыть", 101, 137 71 110 20, ok
n569=}
n570=
n571=on *:dialog:memosender:init:*: {
n572=  if %memo.nick != $null { did -o memosender 3 1 %memo.nick }
n573=  if %memo.msg != $null { did -o memosender 5 1 %memo.msg }
n574=}
n575=
n576=on *:dialog:memosender:sclick:100: {
n577=  /set %memo.nick $did(memosender,3) | /set %memo.msg $did(memosender,5)
n578=  /msg memoserv send %memo.nick %memo.msg 
n579=}
